VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItem Interface Reference

The `LibraryItem` interface provides methods to deploy virtual machines and virtual appliances from library items containing Open Virtualization Format (OVF) packages in content library, as well as methods to create library items in content library from virtual machines and virtual appliances. More...

Inherited by vmware::vcenter::ovf::LibraryItemStub.

List of all members.

## Public Member Functions
vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult | Deploy (string clientToken, string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target, vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec deploymentSpec)
| Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.
vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult | Deploy (string clientToken, string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target, vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec deploymentSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.
global::System.Threading.Tasks.Task < vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult > | DeployAsync (string clientToken, string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target, vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec deploymentSpec)
| Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.
global::System.Threading.Tasks.Task < vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult > | DeployAsync (string clientToken, string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target, vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec deploymentSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.
vmware.vcenter.ovf.LibraryItemTypes.OvfSummary | Filter (string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target)
| Queries an OVF package stored in content library to retrieve information to use when deploying the package.
vmware.vcenter.ovf.LibraryItemTypes.OvfSummary | Filter (string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Queries an OVF package stored in content library to retrieve information to use when deploying the package.
global::System.Threading.Tasks.Task < vmware.vcenter.ovf.LibraryItemTypes.OvfSummary > | FilterAsync (string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target)
| Queries an OVF package stored in content library to retrieve information to use when deploying the package.
global::System.Threading.Tasks.Task < vmware.vcenter.ovf.LibraryItemTypes.OvfSummary > | FilterAsync (string ovfLibraryItemId, vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget target, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Queries an OVF package stored in content library to retrieve information to use when deploying the package.
vmware.vcenter.ovf.LibraryItemTypes.CreateResult | Create (string clientToken, vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity source, vmware.vcenter.ovf.LibraryItemTypes.CreateTarget target, vmware.vcenter.ovf.LibraryItemTypes.CreateSpec createSpec)
| Creates a library item in content library from a virtual machine or virtual appliance.
vmware.vcenter.ovf.LibraryItemTypes.CreateResult | Create (string clientToken, vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity source, vmware.vcenter.ovf.LibraryItemTypes.CreateTarget target, vmware.vcenter.ovf.LibraryItemTypes.CreateSpec createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a library item in content library from a virtual machine or virtual appliance.
global::System.Threading.Tasks.Task < vmware.vcenter.ovf.LibraryItemTypes.CreateResult > | CreateAsync (string clientToken, vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity source, vmware.vcenter.ovf.LibraryItemTypes.CreateTarget target, vmware.vcenter.ovf.LibraryItemTypes.CreateSpec createSpec)
| Creates a library item in content library from a virtual machine or virtual appliance.
global::System.Threading.Tasks.Task < vmware.vcenter.ovf.LibraryItemTypes.CreateResult > | CreateAsync (string clientToken, vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity source, vmware.vcenter.ovf.LibraryItemTypes.CreateTarget target, vmware.vcenter.ovf.LibraryItemTypes.CreateSpec createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a library item in content library from a virtual machine or virtual appliance.

## Detailed Description

The `LibraryItem` interface provides methods to deploy virtual machines and virtual appliances from library items containing Open Virtualization Format (OVF) packages in content library, as well as methods to create library items in content library from virtual machines and virtual appliances.

To deploy a virtual machine or a virtual appliance from a library item:

1. Create a LibraryItem.DeploymentTarget to specify the target deployment type and target deployment designation.
2. Create a LibraryItem.ResourcePoolDeploymentSpec to specify the parameters for the target deployment.
3. Use the `Deploy` method with the created target and parameter specifications, along with the identifier of the specified source content library item. See LibraryItem.Deploy .

To create a library item in content library from a virtual machine or virtual appliance:

1. Create a LibraryItem.DeployableIdentity to specify the source virtual machine or virtual appliance to be used as the OVF template source.
2. Create a LibraryItem.CreateTarget to specify the target library and library item.
3. Create a LibraryItem.CreateSpec to specify the settings for the OVF package to be created.
4. Use the `Create` method with the created target and parameter specifications, along with the specified source entity. See LibraryItem.Create .

## Member Function Documentation

vmware.vcenter.ovf.LibraryItemTypes.CreateResult vmware::vcenter::ovf::LibraryItem::Create | ( | string | clientToken,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity | source,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateSpec | createSpec
| ) |  |

Creates a library item in content library from a virtual machine or virtual appliance.

This method creates a library item in content library whose content is an OVF package derived from a source virtual machine or virtual appliance, using the supplied create specification. The OVF package may be stored as in a newly created library item or in an in an existing library item. For an existing library item whose content is updated by this method, the original content is overwritten.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if createSpec contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if source describes an unexpected resource type.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual appliance specified by source does not exist.
  vmware.vapi.std.errors.NotFound | if the library or library item specified by target does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation cannot be performed because of the specified virtual machine or virtual appliance's current state. For example, if the virtual machine configuration information is not available, or if the virtual appliance is running.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing a file from the source virtual machine or virtual appliance.
  vmware.vapi.std.errors.ResourceBusy | if the specified virtual machine or virtual appliance is busy.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The attribute LibraryItem.DeployableIdentity.id requires `VApp.Export` . The resource `com.vmware.content.Library` referenced by the attribute LibraryItem.CreateTarget.libraryId requires `ContentLibrary.AddLibraryItem` . The resource `com.vmware.content.library.Item` referenced by the attribute LibraryItem.CreateTarget.libraryItemId requires `System.Read` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  source | Identifier of the virtual machine or virtual appliance to use as the source.
  target | Specification of the target content library and library item.
  createSpec | Information used to create the OVF package from the source virtual machine or virtual appliance.

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

vmware.vcenter.ovf.LibraryItemTypes.CreateResult vmware::vcenter::ovf::LibraryItem::Create | ( | string | clientToken,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity | source,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateSpec | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a library item in content library from a virtual machine or virtual appliance.

This method creates a library item in content library whose content is an OVF package derived from a source virtual machine or virtual appliance, using the supplied create specification. The OVF package may be stored as in a newly created library item or in an in an existing library item. For an existing library item whose content is updated by this method, the original content is overwritten.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if createSpec contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if source describes an unexpected resource type.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual appliance specified by source does not exist.
  vmware.vapi.std.errors.NotFound | if the library or library item specified by target does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation cannot be performed because of the specified virtual machine or virtual appliance's current state. For example, if the virtual machine configuration information is not available, or if the virtual appliance is running.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing a file from the source virtual machine or virtual appliance.
  vmware.vapi.std.errors.ResourceBusy | if the specified virtual machine or virtual appliance is busy.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The attribute LibraryItem.DeployableIdentity.id requires `VApp.Export` . The resource `com.vmware.content.Library` referenced by the attribute LibraryItem.CreateTarget.libraryId requires `ContentLibrary.AddLibraryItem` . The resource `com.vmware.content.library.Item` referenced by the attribute LibraryItem.CreateTarget.libraryItemId requires `System.Read` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  source | Identifier of the virtual machine or virtual appliance to use as the source.
  target | Specification of the target content library and library item.
  createSpec | Information used to create the OVF package from the source virtual machine or virtual appliance.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ovf.LibraryItemTypes.CreateResult> vmware::vcenter::ovf::LibraryItem::CreateAsync | ( | string | clientToken,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity | source,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateSpec | createSpec
| ) |  |

Creates a library item in content library from a virtual machine or virtual appliance.

This method creates a library item in content library whose content is an OVF package derived from a source virtual machine or virtual appliance, using the supplied create specification. The OVF package may be stored as in a newly created library item or in an in an existing library item. For an existing library item whose content is updated by this method, the original content is overwritten.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if createSpec contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if source describes an unexpected resource type.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual appliance specified by source does not exist.
  vmware.vapi.std.errors.NotFound | if the library or library item specified by target does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation cannot be performed because of the specified virtual machine or virtual appliance's current state. For example, if the virtual machine configuration information is not available, or if the virtual appliance is running.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing a file from the source virtual machine or virtual appliance.
  vmware.vapi.std.errors.ResourceBusy | if the specified virtual machine or virtual appliance is busy.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The attribute LibraryItem.DeployableIdentity.id requires `VApp.Export` . The resource `com.vmware.content.Library` referenced by the attribute LibraryItem.CreateTarget.libraryId requires `ContentLibrary.AddLibraryItem` . The resource `com.vmware.content.library.Item` referenced by the attribute LibraryItem.CreateTarget.libraryItemId requires `System.Read` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  source | Identifier of the virtual machine or virtual appliance to use as the source.
  target | Specification of the target content library and library item.
  createSpec | Information used to create the OVF package from the source virtual machine or virtual appliance.

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ovf.LibraryItemTypes.CreateResult> vmware::vcenter::ovf::LibraryItem::CreateAsync | ( | string | clientToken,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeployableIdentity | source,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.CreateSpec | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a library item in content library from a virtual machine or virtual appliance.

This method creates a library item in content library whose content is an OVF package derived from a source virtual machine or virtual appliance, using the supplied create specification. The OVF package may be stored as in a newly created library item or in an in an existing library item. For an existing library item whose content is updated by this method, the original content is overwritten.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if createSpec contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if source describes an unexpected resource type.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual appliance specified by source does not exist.
  vmware.vapi.std.errors.NotFound | if the library or library item specified by target does not exist.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the operation cannot be performed because of the specified virtual machine or virtual appliance's current state. For example, if the virtual machine configuration information is not available, or if the virtual appliance is running.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing a file from the source virtual machine or virtual appliance.
  vmware.vapi.std.errors.ResourceBusy | if the specified virtual machine or virtual appliance is busy.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The attribute LibraryItem.DeployableIdentity.id requires `VApp.Export` . The resource `com.vmware.content.Library` referenced by the attribute LibraryItem.CreateTarget.libraryId requires `ContentLibrary.AddLibraryItem` . The resource `com.vmware.content.library.Item` referenced by the attribute LibraryItem.CreateTarget.libraryItemId requires `System.Read` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  source | Identifier of the virtual machine or virtual appliance to use as the source.
  target | Specification of the target content library and library item.
  createSpec | Information used to create the OVF package from the source virtual machine or virtual appliance.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult vmware::vcenter::ovf::LibraryItem::Deploy | ( | string | clientToken,
|  | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec | deploymentSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.

This method deploys an OVF package which is stored in the library item specified by ovfLibraryItemId . It uses the deployment specification in deploymentSpec to deploy the OVF package to the location specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if deploymentSpec contains invalid arguments or has fields that are inconsistent with target .
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package stored in the library item specified by ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows : Method execution requires VirtualMachine.Config.AddNewDisk if the OVF descriptor has a disk drive (type 17) section. Method execution requires VirtualMachine.Config.AdvancedConfig if the OVF descriptor has an ExtraConfig section. Method execution requires Extension.Register for specified resource group if the OVF descriptor has a vServiceDependency section. Method execution requires Network.Assign for target network if specified. Method execution requires Datastore.AllocateSpace for target datastore if specified.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Network` referenced by the map value of attribute LibraryItem.ResourcePoolDeploymentSpec.networkMappings requires `System.Read` . The resource `StorageProfile` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.storageProfileId requires `System.Read` . The resource `Datastore` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.defaultDatastoreId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `VApp.Import` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `VApp.Import` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  ovfLibraryItemId | Identifier of the content library item containing the OVF package to be deployed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.
  deploymentSpec | Specification of how the OVF package should be deployed to the target.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult vmware::vcenter::ovf::LibraryItem::Deploy | ( | string | clientToken,
|  | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec | deploymentSpec
| ) |  |

Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.

This method deploys an OVF package which is stored in the library item specified by ovfLibraryItemId . It uses the deployment specification in deploymentSpec to deploy the OVF package to the location specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if deploymentSpec contains invalid arguments or has fields that are inconsistent with target .
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package stored in the library item specified by ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows : Method execution requires VirtualMachine.Config.AddNewDisk if the OVF descriptor has a disk drive (type 17) section. Method execution requires VirtualMachine.Config.AdvancedConfig if the OVF descriptor has an ExtraConfig section. Method execution requires Extension.Register for specified resource group if the OVF descriptor has a vServiceDependency section. Method execution requires Network.Assign for target network if specified. Method execution requires Datastore.AllocateSpace for target datastore if specified.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Network` referenced by the map value of attribute LibraryItem.ResourcePoolDeploymentSpec.networkMappings requires `System.Read` . The resource `StorageProfile` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.storageProfileId requires `System.Read` . The resource `Datastore` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.defaultDatastoreId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `VApp.Import` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `VApp.Import` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  ovfLibraryItemId | Identifier of the content library item containing the OVF package to be deployed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.
  deploymentSpec | Specification of how the OVF package should be deployed to the target.

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult> vmware::vcenter::ovf::LibraryItem::DeployAsync | ( | string | clientToken,
|  | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec | deploymentSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.

This method deploys an OVF package which is stored in the library item specified by ovfLibraryItemId . It uses the deployment specification in deploymentSpec to deploy the OVF package to the location specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if deploymentSpec contains invalid arguments or has fields that are inconsistent with target .
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package stored in the library item specified by ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows : Method execution requires VirtualMachine.Config.AddNewDisk if the OVF descriptor has a disk drive (type 17) section. Method execution requires VirtualMachine.Config.AdvancedConfig if the OVF descriptor has an ExtraConfig section. Method execution requires Extension.Register for specified resource group if the OVF descriptor has a vServiceDependency section. Method execution requires Network.Assign for target network if specified. Method execution requires Datastore.AllocateSpace for target datastore if specified.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Network` referenced by the map value of attribute LibraryItem.ResourcePoolDeploymentSpec.networkMappings requires `System.Read` . The resource `StorageProfile` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.storageProfileId requires `System.Read` . The resource `Datastore` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.defaultDatastoreId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `VApp.Import` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `VApp.Import` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  ovfLibraryItemId | Identifier of the content library item containing the OVF package to be deployed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.
  deploymentSpec | Specification of how the OVF package should be deployed to the target.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ovf.LibraryItemTypes.DeploymentResult> vmware::vcenter::ovf::LibraryItem::DeployAsync | ( | string | clientToken,
|  | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target,
|  | vmware.vcenter.ovf.LibraryItemTypes.ResourcePoolDeploymentSpec | deploymentSpec
| ) |  |

Deploys an OVF package stored in content library to a newly created virtual machine or virtual appliance.

This method deploys an OVF package which is stored in the library item specified by ovfLibraryItemId . It uses the deployment specification in deploymentSpec to deploy the OVF package to the location specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.InvalidArgument | if deploymentSpec contains invalid arguments or has fields that are inconsistent with target .
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package stored in the library item specified by ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows : Method execution requires VirtualMachine.Config.AddNewDisk if the OVF descriptor has a disk drive (type 17) section. Method execution requires VirtualMachine.Config.AdvancedConfig if the OVF descriptor has an ExtraConfig section. Method execution requires Extension.Register for specified resource group if the OVF descriptor has a vServiceDependency section. Method execution requires Network.Assign for target network if specified. Method execution requires Datastore.AllocateSpace for target datastore if specified.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Network` referenced by the map value of attribute LibraryItem.ResourcePoolDeploymentSpec.networkMappings requires `System.Read` . The resource `StorageProfile` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.storageProfileId requires `System.Read` . The resource `Datastore` referenced by the attribute LibraryItem.ResourcePoolDeploymentSpec.defaultDatastoreId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `VApp.Import` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `VApp.Import` .

Parameters:

  clientToken | Client-generated token used to retry a request if the client fails to get a response from the server. If the original request succeeded, the result of that request will be returned, otherwise the operation will be retried. If null, the server will create a token.
  ovfLibraryItemId | Identifier of the content library item containing the OVF package to be deployed. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.
  deploymentSpec | Specification of how the OVF package should be deployed to the target.

Returns:
  Information about the success or failure of the method, along with the details of the result or failure.

Implemented in vmware::vcenter::ovf::LibraryItemStub.

vmware.vcenter.ovf.LibraryItemTypes.OvfSummary vmware::vcenter::ovf::LibraryItem::Filter | ( | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Queries an OVF package stored in content library to retrieve information to use when deploying the package.

See LibraryItem.Deploy .

This method retrieves information from the descriptor of the OVF package stored in the library item specified by ovfLibraryItemId . The information returned by the method can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec when deploying the OVF package to the deployment target specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package at the specified ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `System.Read` .

Parameters:

  ovfLibraryItemId | Identifier of the content library item containing the OVF package to query. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information that can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec ) when deploying the OVF package to the deployment target specified by target .

Implemented in vmware::vcenter::ovf::LibraryItemStub.

vmware.vcenter.ovf.LibraryItemTypes.OvfSummary vmware::vcenter::ovf::LibraryItem::Filter | ( | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target
| ) |  |

Queries an OVF package stored in content library to retrieve information to use when deploying the package.

See LibraryItem.Deploy .

This method retrieves information from the descriptor of the OVF package stored in the library item specified by ovfLibraryItemId . The information returned by the method can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec when deploying the OVF package to the deployment target specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package at the specified ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `System.Read` .

Parameters:

  ovfLibraryItemId | Identifier of the content library item containing the OVF package to query. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.

Returns:
  Information that can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec ) when deploying the OVF package to the deployment target specified by target .

Implemented in vmware::vcenter::ovf::LibraryItemStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ovf.LibraryItemTypes.OvfSummary> vmware::vcenter::ovf::LibraryItem::FilterAsync | ( | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Queries an OVF package stored in content library to retrieve information to use when deploying the package.

See LibraryItem.Deploy .

This method retrieves information from the descriptor of the OVF package stored in the library item specified by ovfLibraryItemId . The information returned by the method can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec when deploying the OVF package to the deployment target specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package at the specified ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `System.Read` .

Parameters:

  ovfLibraryItemId | Identifier of the content library item containing the OVF package to query. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information that can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec ) when deploying the OVF package to the deployment target specified by target .

Implemented in vmware::vcenter::ovf::LibraryItemStub.

global::System.Threading.Tasks.Task<vmware.vcenter.ovf.LibraryItemTypes.OvfSummary> vmware::vcenter::ovf::LibraryItem::FilterAsync | ( | string | ovfLibraryItemId,
|  | vmware.vcenter.ovf.LibraryItemTypes.DeploymentTarget | target
| ) |  |

Queries an OVF package stored in content library to retrieve information to use when deploying the package.

See LibraryItem.Deploy .

This method retrieves information from the descriptor of the OVF package stored in the library item specified by ovfLibraryItemId . The information returned by the method can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec when deploying the OVF package to the deployment target specified by target .

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if target contains invalid arguments.
  vmware.vapi.std.errors.NotFound | if the library item specified by ovfLibraryItemId does not exist.
  vmware.vapi.std.errors.NotFound | if any resource specified by a field of the LibraryItem.DeploymentTarget class, specified by target , does not exist.
  vmware.vapi.std.errors.ResourceInaccessible | if there was an error accessing the OVF package at the specified ovfLibraryItemId .
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `com.vmware.content.library.Item` referenced by the parameter ovfLibraryItemId requires `System.Read` . The resource `ResourcePool` referenced by the attribute LibraryItem.DeploymentTarget.resourcePoolId requires `System.Read` . The resource `HostSystem` referenced by the attribute LibraryItem.DeploymentTarget.hostId requires `System.Read` . The resource `Folder` referenced by the attribute LibraryItem.DeploymentTarget.folderId requires `System.Read` .

Parameters:

  ovfLibraryItemId | Identifier of the content library item containing the OVF package to query. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  target | Specification of the deployment target.

Returns:
  Information that can be used to populate the deployment specification (see LibraryItem.ResourcePoolDeploymentSpec ) when deploying the OVF package to the deployment target specified by target .

Implemented in vmware::vcenter::ovf::LibraryItemStub.

The documentation for this interface was generated from the following file:

- LibraryItem.cs